Subject: Re: Checking out orphans with -f

From: Martin Fick <[email-masked]>
Date: Wed, 18 Jan 2012 15:50:23 -0700

On Wednesday, January 18, 2012 03:40:36 pm Junio C Hamano 
wrote:
> Martin Fick <[email-masked]> writes:
> > I am trying to write some scripts which do various
> > things to a git repo and I have run into a issue where
> > I think that git behavior with respect to orphan
> > branches is potentially
> > 
> > undesirable.  If I type:
> >   git checkout --orphan a
> > 
> > I cannot easily abandon this state
> 
> What do you mean by "abandon"?
> 
> If you want to remove a branch "a" because you do not
> need it, you can check out some other branch and say
> "git branch -D a", no?

Actually, no I can't.  I can check out some other branch 
(assuming I have one), but I cannot then delete a, it 
appears to already be deleted by virtue of checking out 
another branch.  I like that since I never checked it in, 
better to clean up the garbage, but why can't I then 
checkout another orphan to do the same thing?

-Martin

-- 
Employee of Qualcomm Innovation Center, Inc. which is a 
member of Code Aurora Forum